:root {
    --base-font: 'ONY One';
    --main-font-color: #313332;
    --violet: #AD83FF;
    --brown-button: #422223;
    --input-background: #F2F2F2;
    --placehoder-color: #656973;
}

html {
    scrollbar-gutter: stable;
}

.donation_wrapper {
    width: 100%;
}

.donation_wrapper * {
    box-sizing: border-box;
    font-size: 16px;
    color: var(--main-font-color);
}


/* ======================================== */
/* =========== СТИЛИ HEADER =============== */
/* ======================================== */


.donation_wrapper header {
    /* position: relative; */
    display: flex;
    flex-direction: column;
    gap: 12px;
    text-align: left;
    width: 100%;
    /* на планшетах - в центр*/
}

.donation_wrapper .logo {
    align-self: flex-start;
    /* мобилка — слева */
}

.donation_wrapper header>.org_name {
    font-family: var(--base-font);
    font-weight: 500;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0%;
    vertical-align: middle;
    text-wrap: balance;
}

.donation_wrapper header>.org_appeal {
    font-family: var(--base-font);
    font-weight: 400;
    line-height: 115%;
    letter-spacing: 0%;
    text-wrap: pretty;
    margin: 0;
}

.header_madam_photo {
    margin: 20px 0 30px;
}

@media(min-width:480px) {
    .donation_wrapper * {
        font-size: 18px;
    }

    .donation_wrapper header {
        align-items: center;
    }

    .donation_wrapper .logo {
        align-self: flex-end;
    }

    .donation_wrapper .logo>a {
        width: auto;
    }

    .donation_wrapper .org_name,
    .donation_wrapper .org_appeal {
        text-align: center;
        max-width: 637px;
    }

    .donation_wrapper header>.org_name {
        font-size: 30px;
        margin: 20px 0 10px;
    }
    .donation_wrapper main{
        padding: 0 88px;
    }
}

@media(min-width: 1000px) {
    .donation_wrapper header {
        display: grid;
        grid-template-columns: minmax(281px, 1fr) minmax(0, 637px) minmax(281px, 1fr);
        grid-template-areas:
            ". name logo"
            "appeal appeal appeal";
        gap: 10px 20px;
    }

    .donation_wrapper header>.logo {
        grid-area: logo;
        justify-self: end;
        align-self: start;
    }

    .donation_wrapper header>.org_name {
        grid-area: name;
    }

    .donation_wrapper header>.org_appeal {
        grid-area: appeal;
        justify-self: center;
    }
}

@media(min-width: 1300px) {
    .donation_wrapper header {
        grid-template-areas:
            ". name logo"
            ". appeal logo";
    }
}




.donation_wrapper main {
    margin-top: 44px;
    padding: 0 16px;
}

.donation_wrapper h1 {
    margin-bottom: 36px;
}

@media(min-width:480px) {
    .donation_wrapper main{
        padding: 0 48px;
    }
}

/* ======================================== */
/* =========== СТИЛИ ФОРМЫ ДОНАТА ========= */
/* ======================================== */

.visually_hidden {
    position: absolute;
    width: 0;
    height: 0;
    margin: 0;
    padding: 0;
    border: 0;
    clip: rect(0 0 0 0);
    overflow: hidden;
    white-space: nowrap;
}


.form_madam_photo {
    margin: 0;
    display: none;
    /* ВИДИМЫЙ НА ДЕСКТОПЕ */
}

.form_madam_photo>img {
    width: 100%;
}

/* стили полей формы пончиков */
fieldset {
    border: none;
    padding: 0;
}

.donat_freq {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    gap: 16px;
    margin: 0;
    padding: 0;
    height: auto;
}

.donat_amounts {
    margin: 25px 0 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
    width: 100%;
}

.donat_contacts {
    display: grid;
    gap: 16px;
    grid-template-columns: 1fr;
    margin-top: 30px;
}

.donat_amounts>input[type="text"] {
    grid-column: span 2;
    /* ПОМЕНЯТЬ НА ДЕСКТОПЕ */
}

.donation_form>button {
    background-color: #422223;
    color: #ffffff;
    width: 140px;
    height: 56px;
    border: none;
    font-family: "Ony One";
    font-weight: 500;
    font-size: clamp(16px, 1.2vw, 24px);
    display: block;
    margin: 20px auto 0;
    cursor: pointer;
}

.donat_option {
    width: 100%;
    padding: 0 max(0.8vw, 14px);
    background-color: var(--input-background);
    border: none;
    box-sizing: border-box;
    font-family: inherit;
    height: 45px;
    color: var(--main-font-color);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color .2s ease, color .1s ease;
    user-select: none;
}

.donat_option:has(> input:checked) {
    background-color: var(--violet);
}

.donat_option:has(> input:checked) span {
    color: #ffffff;
}

.donat_option:has(> input:focus-visible) {
    outline: 2px solid var(--violet);
    outline-offset: 2px;
}


.donation_form input[type="text"],
.donation_form input[type="tel"],
.donation_form input[type="email"] {
    width: 100%;
    height: 45px;
    padding: 0 max(1.2vw, 20px);
    background-color: var(--input-background);
    border: none;
    color: var(--main-font-color);
    font-family: var(--base-font);
}

.donation_form label {
    font-family: var(--base-font);
}

.donat_contacts label {
    margin: 0 0 6px;
    display: inline-block;
}

.donat_documents{
    margin-top: 16px;
}

/* стили для галочки */
.policy-row {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 10px;
}

/* Скрываем стандартный чекбокс и рисуем свой */
.policy-row input[type="checkbox"] {
    appearance: none;
    width: clamp(24px, 1.6vw, 36px);
    height: auto;
    aspect-ratio: 1;
    flex: 0 0 auto;
    background-color: var(--input-background);
    cursor: pointer;
    position: relative;
    place-content: center;
    margin-left: 0;
}

.policy-row input[type="checkbox"]:checked {
    background-color: var(--violet);
    background-image: url(/wp-content/uploads/2026/08/check.svg);
    background-position: center;
    background-repeat: no-repeat;
}

.policy-row label {
    text-align: left;
    font-size: 16px;
    cursor: pointer;
    line-height: 115%;
    letter-spacing: 0%;

}

.policy-row label a {
    font-size: inherit;
    color: #AD83FF;
    text-decoration: underline;
}

.policy-row label a:hover {
    text-decoration: none;
}

.donation_form input::placeholder {
    color: var(--placehoder-color);
}

.form_payment_methods {
    margin-top: 30px;

}

.form_payment_methods p {
    font-size: 14px;
    margin-bottom: 0;
}

.form_payment_methods .payments_row {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 5vw;
}

.form_payment_methods img {
    height: 16px;
    width: auto;
}

/* Стили ipad */

@media (min-width: 540px) {

    .donation_wrapper h1 {
        font-size: 24px;
        text-align: center;
    }

    .donation_wrapper * {
        font-size: 18px;
    }


    .header_madam_photo {
        display: none;
    }

    .form_madam_photo {
        display: block;
    }

    .donation_form {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
        grid-template-areas:
            "freq-amounts-group freq-amounts-group form-madam"
            "contacts contacts contacts"
            "documents documents payment-methods"
            "submit submit submit";
        max-width: 800px;
        margin: 0 auto;
    }

    .form_madam_photo {
        grid-area: form-madam;
    }

    .freq_amount_contacts_docs_pays_group {
        display: contents;
    }

    .freg_amounts_group {
        display: flex;
        flex-direction: column;
        gap: 26px;
        grid-area: freq-amounts-group;
        
        margin-right: 20px;
    }

    .donat_freq {
        grid-area: freq;
        gap: 20px;
    }

    .donat_amounts {
        grid-area: amounts;
        margin-top: 0;
        gap: 20px;
    }

    .donat_contacts {
        margin: 0;
        grid-area: contacts;
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
    }

    .donat_documents {
        grid-area: documents;
    }

    .donation_submit {
        grid-area: submit;
    }

    .form_payment_methods {
        grid-area: payment-methods;
    }

    .form_payment_methods>.payments_row {
        gap: 2vw;
    }

}

@media (min-width: 1000px) {
    .donation_form {
        grid-template-columns: 1.2fr 1fr .6fr;
        gap: 30px;
        grid-template-areas:
            "freq      freq      form-madam"
            "amounts   amounts   form-madam"
            "contacts  contacts  form-madam"
            "documents payment-methods form-madam"
            "submit    submit    submit";
        max-width: 1540px;
    }



    .freg_amounts_group {
        display: contents;
    }

    .donat_freq {
        display: flex;
        gap: 20px;
        grid-column: span 2;
    }

    .donat_freq .donat_option {
        width: 200px;
    }

    .donat_amounts {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
        margin-top: 0;
        gap: 20px;
        grid-column: span 2;
    }

    .donat_contacts {
        grid-column: span 2;
    }

}

@media (min-width: 1400px) {
    .donation_form {
        grid-template-columns: 1fr 1fr .7fr;
        gap: 30px;
        grid-template-areas:
            "freq      freq      form-madam"
            "amounts   amounts   form-madam"
            "contacts  contacts  form-madam"
            "documents payment-methods form-madam"
            "submit    submit     form-madam";
    }

    .donation_form>button {
        margin: 0 auto;
    }

    .form_madam_photo img {
        max-height: 500px;
        max-width: 383px;
    }


}

/* ======================================== */
/* = СТИЛИ ДРУГИХ СПОСОБОВ ПОЖЕРТОВОВАНИЯ = */
/* ======================================== */

.other_donations {
    margin: 40px auto 0;
    max-width: 784px;
    text-align: left;
}

.other_donations_grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px 24px;
}

.odg_elem {
    display: flex;
    align-items: center;
    width: 90%;
    gap: 10px;
}

.odg_elem .round_logo {
    width: 48px;
    height: 48px;
    aspect-ratio: 1;
    border: .75px solid var(--violet);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.odg_elem>.round_logo:hover {
    cursor: pointer;
    background-color: rgba(0, 0, 0, .1);
}

.odg_elem .round_logo>img {
    width: 50%;
    height: 50%;
}

.odg_elem>p {
    font-family: ONY One;
    font-weight: 500;
    font-size: 14px;
    line-height: 135%;
    letter-spacing: 0%;
}

/* .odg_elem:nth-child(1)>p,
.odg_elem:nth-child(2)>p {
    text-align: center;
} */

@media(min-width: 540px) {
    .other_donations {
        text-align: center;
    }

    .other_donations_grid {
        margin-top: 30px;
        grid-template-columns: repeat(4, 1fr);
        justify-items: center;
    }

    .odg_elem {
        flex-direction: column;
        max-width: 150px;
    }

    .odg_elem .round_logo {
        width: 64px;
        height: 64px;
    }
}

/* ======================================== */
/* ======== СТИЛИ ВСПЛЫВАЮЩЕГО ОКНА ======= */
/* ======================================== */

.popup_window_wrapper {
    position: fixed;
    inset: 0;
    z-index: 100;
    overflow: auto;
    padding: 100px 16px 60px;
    backdrop-filter: blur(3px);
    background-color: rgba(0, 0, 0, .1);
    overscroll-behavior: contain;
    display: flex;
}

.popup_window_wrapper.pw_hidden {
    display: none;
}

.popup_window_wrapper.pw_hidden * {
    display: none;
}

.popup_window {
    position: relative;
    margin: auto;
    width: 90%;
    max-width: 700px;
    background-color: white;
    padding: 16px;

    text-align: left;
}

.cross {
    position: absolute;
    left: calc(50% - 22px);
    top: -54px;
    width: 44px;
    height: auto;
    aspect-ratio: 1;
    cursor: pointer;
}

.cross img {
    width: 100%;
    height: 100%;
}

.popup_window h2 {
    font-family: var(--base-font);
    font-weight: 500;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0%;
    margin-top: 0;
}

.popup_window p {
    font-family: var(--base-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 115%;
    letter-spacing: 0%;
    margin: 18px 0;
}

.popup_window b{
    font-weight: 500;
}

.popup_window a {
    color: var(--violet);
}

.popup_window .qr {
    display: block;
    margin: 20px auto;
    max-width: 185px;
}

.popup_window .operators_row {
    width: 100%;
    margin: 20px auto;
}

.popup_window.pw_hidden {
    display: none;
}

.violet_text {
    color: var(--violet);
}

.popup_window p.small {
    font-size: 14px;
    text-align: left;
}

@media(min-width: 540px) {
    .popup_window h2 {
        text-align: center;
        font-size: 24px;
    }

    .popup_window {
        padding: 20px;
    }
}

@media (min-width: 1400px) {
    .cross {
        width: 24px;
        left: 101%;
        top: -13px;
    }
    .popup_window_wrapper {
        padding: 70px 16px;
    }
}

.docs_cards{
    grid-template-columns: 1fr;
}

.doc_card{
    width: auto;
    margin: 0 auto;
}